"""remove old relationship user-central and add roles and permissions table

Revision ID: a522bdeb09f1
Revises: a4891095839c
Create Date: 2018-09-25 12:57:57.068666

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'a522bdeb09f1'
down_revision = 'a4891095839c'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('permissions',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=64), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.create_table('roles',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('name', sa.String(length=64), nullable=False),
    sa.PrimaryKeyConstraint('id')
    )
    op.drop_column('centrals', 'president_id')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('centrals', sa.Column('president_id', sa.VARCHAR(length=16), autoincrement=False, nullable=False))
    op.drop_table('roles')
    op.drop_table('permissions')
    # ### end Alembic commands ###
